/*==============================*/
/*---------> Variables <--------*/
/*==============================*/
$footer-height:             100px;
$reservation-status-width:  100%;
$reservation-status-height: 100%;



/*======================================*/
/*----------> FOOTER SECTION <----------*/
/*======================================*/

/*  Initialisation Map */
footer {
    background-color:   $gray ;
    color:              $bluefluo;
    height:             $footer-height;
    display:            flex;

    a {
        text-decoration : none;
    }
    p.text-footer {
        text-align: center;
        align-self: center;
    }

    #txt_footer_copyright {
        position: absolute;
        right: 5%;
    }

    div#reservation_status {
        width:              $reservation-status-width;
        position:           relative;
        margin-top:         8px !important;
        align-self:         center; // Flex-start au lancement du Timer
        border:             2px solid $bluefluo;
        border-radius:      10px;
        background-color:   lighten($bluefluo, 40%);
        text-align:         center;
        padding: 3px 10px 3px 10px !important ;
        display: none;

        #prefixe {
            font-size:          1.2em;
            color:              $darkred;
            display:            inline-block;
        }
        #timer { 
            display:            flex;
            flex-direction:     column;
            align-items:        center;
            justify-content:    center;
            
            #container_timer_elem {
                display:            flex;
                flex-direction:     row;
                align-items:        center;
                justify-content:    center;
                margin-top:         10px !important;

                .timer_bloc_elem {
                    background-color:   lightgray;
                    border:             1px solid black;
                    border-radius:      5px;
                    display:            none;
                    flex-direction:     column;
                    align-items:        center;
                    justify-content:    center;
                    width:              45px;
                    height:             39px;
                    margin-left:        7px !important;
                    
                    #timer_min, #timer_sec {
                        color:          $darkred;
                        font-size:      1.2em;
                    }
                    #timer_min_text, #timer_sec_text {
                        color:          black !important;
                        font-style:     italic;
                    }
                }
            }
        }
    }

    #btn_stop_timer {
        display:    none; // Block lors du debut du Timer
        height:     30px;
        position:   absolute;
        top:        30spx;
    }
}

@media screen and (max-width: 1080px) 
{
    #footer {
        #txt_footer_copyright { right: 1%;}
    }

}


@media screen and (max-width: 992px) 
{
    #footer {
        display: flex;
        flex-direction: column;
        height: 109px !important;

        div#reservation-status {
            margin-top: 0 !important;
        }

        #clockDiv { order: 2;}
        #txt_footer_mentions_legales {  }
        #reservation_status { margin-top: 16px; }
        #txt_footer_copyright { top:99%;}

        p.text-footer {
            align-self: self-start;
            margin-top: 8px !important;
            order: 3;
        }
    }
}


@media screen and (max-width: 768px) 
{
    #footer {
        height: 112px !important;

        #txt_footer_copyright { top:99%;}
 
        p.text-footer {
        }
    }
}